using System;
using NinjaTrader.Cbi;

internal sealed class Delegate122 : MulticastDelegate
{
	public extern OrderEntry Invoke(object object_0);

	public static OrderEntry smethod_0(object object_0, Delegate122 delegate122_1)
	{
		return delegate122_1(object_0);
	}

	public extern Delegate122(object object_0, IntPtr intptr_0);

	static Delegate122()
	{
		Class10.smethod_13(typeof(Delegate122).TypeHandle);
	}

	internal static Delegate122 delegate122_0;
}
